/* Make sure that absolute child elements get positioned in element flow */
section.section {
  position: relative;
}

/* Set reasonable default spacings */

.node--view-mode-full > div,
.node .col > * {
  padding: var(--space-xs);
}

/* Add spacing to icons */
.svg-inline--fa {
    margin-right: 0.5rem;
}

/*
 *
 * Utility classes
 *
 */

/* Show elements, triggered via JS */
.js-h4c-show {
  opacity: 1 !important;
  display: block !important;
}

.h4c-fa-icon-left {
  padding-right: .5rem;
}

/* Add margin to views pages to give space to popup/filter */
@media all and (min-width: $tablet) {
  .h4c-has-margin-right {
    margin-right: 260px;
  }
}

@media all and (min-width: $desktop) {
  .h4c-has-margin-left {
    margin-left: 260px;
  }
}

@media screen and (min-width: $tablet) {
  .h4c-has-border-left > div {
    border-left: 1px solid #e3e3e3;
  }
}

/*
 *
 * Content area
 *
 */

/* By removing bulmas .content class, elements to not have margin-bottom anymore */
.main-content p:not(:last-child), 
.main-content dl:not(:last-child), 
.main-content ol:not(:last-child), 
.main-content ul:not(:last-child), 
.main-content blockquote:not(:last-child), 
.main-content pre:not(:last-child), 
.main-content table:not(:last-child) {
  margin-bottom: 1em;
}

/* Avoid that any strings entered by users break the layout */
.h4c-content {
  word-break: break-word;
}

.h4c-content a {
  color: var(--enzian--color-link);
  cursor: pointer;
  text-decoration: none;
}

/* It would be better to add a class to markup fields, 
 * but we do not have any template suggestions. Markup
 * fields can be placed in forms as well.
 */
.field--type-markup ul,
.h4c-content ul {
  list-style: circle;
}

/* Intendation for lists/bullet points */
.field--type-markup ul,
.field--type-markup ol,
.h4c-content ul,
.h4c-content ol {
  margin: 0 2em 1em 2em;
}
.h4c-content blockquote:not(:last-child), 
.h4c-content dl:not(:last-child), 
.h4c-content ol:not(:last-child), 
.h4c-content p:not(:last-child), 
.h4c-content pre:not(:last-child), 
.h4c-content table:not(:last-child), 
.h4c-content ul:not(:last-child) {
    margin-bottom: var(--space-sm);
}

/* No margin-bottom for panel-headings to avoid unwanted gap in for elements */
.main-content p.panel-heading {
    margin-bottom: 0;
}
